package com.foo.phase2.esbactions;

import java.util.logging.Logger;

import org.jboss.soa.esb.actions.annotation.Process;
import org.jboss.soa.esb.message.Body;
import org.jboss.soa.esb.message.Message;

public class FileProcessAction {
private static final Logger log = Logger.getLogger(FileProcessAction.class.getName());
	
	@Process
	public void process(Message message) {
		log.info("Processing Message");
		log.info("Message Properties: " + message.getProperties());
		log.info("Message Body: " + message.getBody());
		log.info("Object: " + message.getBody().get(Body.DEFAULT_LOCATION));
	}   
  
}