package com.foo.phase2.esbactions;

import java.util.logging.Logger;

import org.jboss.soa.esb.actions.annotation.Process;
import org.jboss.soa.esb.message.Body;
import org.jboss.soa.esb.message.Message;

import com.foo.phase2.esb.jpa.Order;

public class JPAProcessAction {
private static final Logger log = Logger.getLogger(JPAProcessAction.class.getName());
	
	@Process
	public void process(Message message) {
		log.info("Processing Message");
		log.info("Message Properties: " + message.getProperties());
		log.info("Message Body: " + message.getBody());
		log.info("Object: " + message.getBody().get(Body.DEFAULT_LOCATION));
		log.info("Object Class: " + message.getBody().get(Body.DEFAULT_LOCATION).getClass());

		//For some reason can't figure out why we can't cast the object to an Order
		//Started a thread on it: https://community.jboss.org/thread/220120
		Order order = (Order) message.getBody().get();
		log.info("Order Object: " + order);
	}   
  
}